Bug 1873123 - Default install-config.yaml includes deprecated parameters
Summary: Default install-config.yaml includes deprecated parameters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.6.0
Assignee: Mike Fedosin
QA Contact: David Sanz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 12:43 UTC by Martin André
Modified: 2020-10-27 16:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:35:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4100 0 None closed Bug 1873123: omit deprecated parameters during config generation 2020-10-01 08:10:42 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:35:04 UTC

Description Martin André 2020-08-27 12:43:21 UTC
Description of problem:

The install-config.yaml that is generated via the `openshift-install create install-config` command contains deprecated parameters:
- octaviaSupport
- region
- trunkSupport

All set to empty string.

We need to stop adding the deprecated parameters when writing the install-config.yaml file to disk.

Comment 4 David Sanz 2020-08-28 10:02:37 UTC
Verified on 4.6.0-0.nightly-2020-08-28-042424

platform:
  openstack:
    apiVIP: 10.0.0.5
    cloud: xxxx
    computeFlavor: xxxxx
    externalDNS: null
    externalNetwork: xxxxx
    ingressVIP: 10.0.0.7

Comment 6 errata-xmlrpc 2020-10-27 16:35:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.